summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/wine-staging/README24
-rw-r--r--system/wine-staging/README.SLACKWARE133
-rw-r--r--system/wine-staging/wine-staging.SlackBuild5
-rw-r--r--system/wine-staging/wine-staging.info10
4 files changed, 88 insertions, 84 deletions
diff --git a/system/wine-staging/README b/system/wine-staging/README
index 436cbe5eeb..5b5ac199ff 100644
--- a/system/wine-staging/README
+++ b/system/wine-staging/README
@@ -23,16 +23,16 @@ of each):
See README.SLACKWARE for a giant list of dependencies.
-XORG=YES|NO (default: YES), enable or disable Xorg
-ALSA=YES|NO (default: YES), enable or disable ALSA
-OSS=YES|NO (default: NO), requires oss
-PULSE=YES|NO (default: NO), requires PulseAudio
-CUPS=YES|NO (default: YES), enable or disable CUPS
-DBUS=YES|NO (default: YES), enable or disable DBus
-GALLIUM=YES|NO (default: NO), enable or disable Gallium Nine support
+XORG=YES|NO (default: YES), enable or disable Xorg
+ALSA=YES|NO (default: YES), enable or disable ALSA
+OSS=YES|NO (default: NO), requires oss
+PULSE=YES|NO (default: NO), requires PulseAudio
+CUPS=YES|NO (default: YES), enable or disable CUPS
+DBUS=YES|NO (default: YES), enable or disable DBus
+GALLIUM=YES|NO (default: NO), enable or disable Gallium Nine support
requires mesa compiled with the -nine option
-OPENAL=YES|NO (default: NO), requires OpenAL
-OPENGL=YES|NO (default: YES), enable or disable OpenGL
-JPEG=YES|NO (default: NO), enable or disable jpeg support
-PNG=YES|NO (default: NO), enable or disable png support
-MPG123=YES|NO (default: NO), enable or disable mpg123 support
+OPENAL=YES|NO (default: NO), requires OpenAL
+OPENGL=YES|NO (default: YES), enable or disable OpenGL
+JPEG=YES|NO (default: NO), enable or disable jpeg support
+PNG=YES|NO (default: NO), enable or disable png support
+MPG123=YES|NO (default: NO), enable or disable mpg123 support
diff --git a/system/wine-staging/README.SLACKWARE b/system/wine-staging/README.SLACKWARE
index 7a94a1ef4c..5b02735897 100644
--- a/system/wine-staging/README.SLACKWARE
+++ b/system/wine-staging/README.SLACKWARE
@@ -1,5 +1,6 @@
-This lists most if not all the required deps for Wine staging. In the future, this will list all
-optional deps and the Slackbuild will have more build options.
+This lists most if not all the required deps for Wine staging. In the
+future, this will list all optional deps and the Slackbuild will have
+more build options.
Key:
@@ -10,69 +11,71 @@ Key:
List:
|----- x alsa-lib
- |----- x cairo-compat32
- | |------ + glib2-compat32
- | | |------ + libffi-compat32
- | |------ + pixman-compat32
- | |------ + gtk+3-compat32 (Self conversion)
- | | |------ + atk-compat32
- | | |------ + at-spi2-atk (current only)
- | | |------ + gdk-pixbuf2-compat32
- | | |------ + libepoxy-compat32 (current only)
- | | |------ + libICE-compat32
- | | |------ + libSM-compat32
- | | | |------ + at-spi2-atk-compat32
- | | | | |------ + at-spi2-core-compat32
- | | | |------ + util-linux-compat32
- | | |------ + libxshmfence-compat32
- | | |------ + pango-compat32
- | | | |------ + harfbuzz-compat32
- | | | |------ + libXft-compat32
- | | |------ + udev-compat32
- | |------ ? This is only needed if you care about GTK3 theme support.
- |----- x dbus-compat32
- |----- + fontconfig-compat32
- | |------ + expat-compat32
- |----- + freetype-compat32
- |----- + gamin-compat32
- | |------ + I'm not sure if this is exactly needed, but Wine use to spit out error messages of it missing.
- |----- + gnutls-compat32
- | |------ + gmp-compat32
- | |------ + libidn-compat32 (current only)
- | |------ + nettle-compat32
- | |------ + p11-kit-compat32
- | |------ + zlib-compat32
- | |------ ? Technically you can compile without this, but heavily recommended this.
- |----- + glew-compat32
- |----- x glu-compat32
- | |------ + libXdamage-compat32
- | |------ + libdrm-compat32
- | |------ ? Needed by some programs but compiles without it.
- |----- + libjpeg-turbo-compat32
- |----- + libpng-compat32
- |----- + libXcomposite-compat32
- |----- + libXcursor-compat32
- | |------ + libXfixes-compat32
- |----- + libXext-compat32
- |----- + libX11-compat32
- |----- + libXau-compat32
- |----- + libxcb-compat32
- |----- + libXdmcp-compat32
- |----- + libXinerama-compat32
- |----- + libXi-compat32
- |----- + libXrandr-compat32
- |----- + libXrender-compat32
- |----- + libXxf86dga-compat32
- |----- + libXxf86vm-compat32
- |----- x libxml2-compat32
- | |------ + aaa_elflibs-compat32
- | |------ ? This is needed for .NET to work correctly.
- |----- x libva-compat32
- | |------ ? VAAPI backend for DXVA2 GPU decoding.
- |----- + mesa-compat32
- |----- + mpg123-compat32
- | |------ + libtool-compat32
- |----- + OpenAL-compat32
+ |----- x cairo-compat32
+ | |------ + glib2-compat32
+ | | |------ + libffi-compat32
+ | |------ + pixman-compat32
+ | |------ + gtk+3-compat32 (Self conversion)
+ | | |------ + atk-compat32
+ | | |------ + at-spi2-atk (current only)
+ | | |------ + gdk-pixbuf2-compat32
+ | | |------ + libepoxy-compat32 (current only)
+ | | |------ + libICE-compat32
+ | | |------ + libSM-compat32
+ | | | |------ + at-spi2-atk-compat32
+ | | | | |------ + at-spi2-core-compat32
+ | | | |------ + util-linux-compat32
+ | | |------ + libxshmfence-compat32
+ | | |------ + pango-compat32
+ | | | |------ + harfbuzz-compat32
+ | | | |------ + libXft-compat32
+ | | |------ + udev-compat32
+ | |------ ? This is only needed if you care about GTK3 theme support.
+ |----- x dbus-compat32
+ |----- + fontconfig-compat32
+ | |------ + expat-compat32
+ |----- + freetype-compat32
+ |----- + gamin-compat32
+ | |------ + I'm not sure if this is exactly needed, but Wine used
+ | | to spit out error messages of it missing.
+ |----- + gnutls-compat32
+ | |------ + gmp-compat32
+ | |------ + libidn-compat32 (current only)
+ | |------ + nettle-compat32
+ | |------ + p11-kit-compat32
+ | |------ + zlib-compat32
+ | |------ ? Technically you can compile without this, but heavily
+ | | recommended this.
+ |----- + glew-compat32
+ |----- x glu-compat32
+ | |------ + libXdamage-compat32
+ | |------ + libdrm-compat32
+ | |------ ? Needed by some programs but compiles without it.
+ |----- + libjpeg-turbo-compat32
+ |----- + libpng-compat32
+ |----- + libXcomposite-compat32
+ |----- + libXcursor-compat32
+ | |------ + libXfixes-compat32
+ |----- + libXext-compat32
+ |----- + libX11-compat32
+ |----- + libXau-compat32
+ |----- + libxcb-compat32
+ |----- + libXdmcp-compat32
+ |----- + libXinerama-compat32
+ |----- + libXi-compat32
+ |----- + libXrandr-compat32
+ |----- + libXrender-compat32
+ |----- + libXxf86dga-compat32
+ |----- + libXxf86vm-compat32
+ |----- x libxml2-compat32
+ | |------ + aaa_elflibs-compat32
+ | |------ ? This is needed for .NET to work correctly.
+ |----- x libva-compat32
+ | |------ ? VAAPI backend for DXVA2 GPU decoding.
+ |----- + mesa-compat32
+ |----- + mpg123-compat32
+ | |------ + libtool-compat32
+ |----- + OpenAL-compat32
|----- x oss
|----- + openjpeg-compat32
|----- x PulseAudio
diff --git a/system/wine-staging/wine-staging.SlackBuild b/system/wine-staging/wine-staging.SlackBuild
index 96ab60651f..102d10f759 100644
--- a/system/wine-staging/wine-staging.SlackBuild
+++ b/system/wine-staging/wine-staging.SlackBuild
@@ -30,7 +30,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wine-staging
-VERSION=${VERSION:-1.9.21}
+VERSION=${VERSION:-1.9.23}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -199,9 +199,10 @@ CXXFLAGS="$SLKCFLAGS" \
--${do_mpg123}-mpg123 \
--with-fontconfig \
--with-freetype \
+ --with-gstreamer \
+ --with-xattr \
--build=$ARCH-slackware-linux
-make depend
make
make install DESTDIR=$PKG
diff --git a/system/wine-staging/wine-staging.info b/system/wine-staging/wine-staging.info
index 53d9995b2a..4c3dfb4ffb 100644
--- a/system/wine-staging/wine-staging.info
+++ b/system/wine-staging/wine-staging.info
@@ -1,10 +1,10 @@
PRGNAM="wine-staging"
-VERSION="1.9.21"
+VERSION="1.9.23"
HOMEPAGE="http://www.wine-staging.com/"
-DOWNLOAD="https://dl.winehq.org/wine/source/1.9/wine-1.9.21.tar.bz2 \
- https://github.com/wine-compholio/wine-staging/archive/v1.9.21/wine-staging-1.9.21.tar.gz"
-MD5SUM="2a56340aa89c3120576d00f7bf280af9 \
- 5959dac72013863843917b9be84662a3"
+DOWNLOAD="https://dl.winehq.org/wine/source/1.9/wine-1.9.23.tar.bz2 \
+ https://github.com/wine-compholio/wine-staging/archive/v1.9.23/wine-staging-1.9.23.tar.gz"
+MD5SUM="bb2a1490369dc08e48993b60b59233a8 \
+ 423d881fbadb60b52593d91fca23e1a1"
DOWNLOAD_x86_64="UNSUPPORTED"
MD5SUM_x86_64=""
REQUIRES=""